> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Drafts

> Retrieves a paginated list of all product drafts for the current app, including draft metadata, changeset summaries, and scheduled publication times.



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/drafts
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/drafts:
    get:
      tags:
        - Product Drafts
      summary: List Product Drafts
      description: >-
        Retrieves a paginated list of all product drafts for the current app,
        including draft metadata, changeset summaries, and scheduled publication
        times.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            default: 1
        - description: Items per page
          in: query
          name: per-page
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: Drafts retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseProductDraftList
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseProductDraftList:
      properties:
        data:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraft
          type: array
        success:
          type: boolean
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraft:
      properties:
        app_id:
          type: string
        changeset:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftChangeset
        created_at:
          type: string
        id:
          type: string
        product_id:
          type: string
        publish_at:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftChangeset:
      properties:
        attributes:
          items:
            type: string
          type: array
        categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRef
          type: array
        collections:
          items:
            type: string
          type: array
        description:
          type: string
        html_description:
          type: string
        html_short_description:
          type: string
        images:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRef
          type: array
        meta_description:
          type: string
        meta_title:
          type: string
        name:
          type: string
        short_description:
          type: string
        tags:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRef
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRef:
      properties:
        id:
          type: string
        is_main_category:
          type: boolean
        order:
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRef:
      properties:
        id:
          type: string
        priority:
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRef:
      properties:
        key:
          type: string
        order:
          type: integer
      type: object

````